package com.uca.dao;

import com.uca.entity.*;

import java.sql.*;
import java.util.ArrayList;

public class GommetteAttribDAO extends _Generic<GommetteAttribEntity> {

    public ArrayList<GommetteAttribEntity> getAllGommetteAttribs() {
        ArrayList<GommetteAttribEntity> entities = new ArrayList<>();
        try {
            PreparedStatement preparedStatement = this.connect
                    .prepareStatement("SELECT * FROM gommetteAttribs ORDER BY id ASC;");
            ResultSet resultSet = preparedStatement.executeQuery();
            while (resultSet.next()) {
                GommetteAttribEntity entity = new GommetteAttribEntity();
                entity.setId(resultSet.getInt("id"));
                // entity.setCouleur TODO
                entity.setIdEleve(resultSet.getInt("idEleve"));
                entity.setIdProf(resultSet.getInt("idProf"));

                entity.setIdGommette(resultSet.getInt("idGommette"));
                // entity.setDateAttrib TODO
                entity.setRaisonAttribution(resultSet.getString("raison"));

                entities.add(entity);
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }

        return entities;
    }

    @Override
    public GommetteAttribEntity create(GommetteAttribEntity obj) {
        // TODO !
        return null;
    }

    @Override
    public void delete(GommetteAttribEntity obj) {
        // TODO !
    }
}
